RDKit: RDKit::AtomPair Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Functions
RDKit::AtomPair Namespace Reference

## Classes
class | AtomPairArguments
| class that holds atom-pair fingerprint specific arguments More...
class | AtomPairAtomEnv
| class that holds atom-environment data needed for atom-pair fingerprint generation More...
class | AtomPairAtomInvGenerator
class | AtomPairEnvGenerator
| class that generates atom-environments for atom-pair fingerprint More...

## Functions
template<typename OutputType>
RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > * | getAtomPairGenerator (const unsigned int minDistance=1, const unsigned int maxDistance=maxPathLen - 1, const bool includeChirality=false, const bool use2D=true, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, const bool useCountSimulation=true, const std::uint32_t fpSize=2048, const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, const bool ownsAtomInvGen=false)
| helper function that generates a /c FingerprintGenerator that generates atom-pair fingerprints
template<typename OutputType>
FingerprintGenerator< OutputType > * | getAtomPairGenerator (const AtomPairArguments &args, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, const bool ownsAtomInvGen=false)
| overload

## Function Documentation

## ◆ getAtomPairGenerator() [1/2]

template<typename OutputType>

FingerprintGenerator< OutputType > * RDKit::AtomPair::getAtomPairGenerator | ( | const AtomPairArguments & | args,
|  | AtomInvariantsGenerator * | atomInvariantsGenerator = nullptr,
|  | const bool | ownsAtomInvGen = false )

overload

## ◆ getAtomPairGenerator() [2/2]

template<typename OutputType>

RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > * RDKit::AtomPair::getAtomPairGenerator | ( | const unsigned int | minDistance = 1,
|  | const unsigned int | maxDistance = maxPathLen - 1,
|  | const bool | includeChirality = false,
|  | const bool | use2D = true,
|  | AtomInvariantsGenerator * | atomInvariantsGenerator = nullptr,
|  | const bool | useCountSimulation = true,
|  | const std::uint32_t | fpSize = 2048,
|  | const std::vector< std::uint32_t > | countBounds = {1, 2, 4, 8},
|  | const bool | ownsAtomInvGen = false )

helper function that generates a /c FingerprintGenerator that generates atom-pair fingerprints

Template Parameters

  OutputType | determines the size of the bitIds and the result, can be 32 or 64 bit unsigned integer

Parameters

  minDistance | minimum distance between atoms to be considered in a pair, default is 1 bond
  maxDistance | maximum distance between atoms to be considered in a pair, default is maxPathLen-1 bonds
  includeChirality | if set, chirality will be used in the atom invariants, this is ignored if atomInvariantsGenerator is provided
  use2D | if set, the 2D (topological) distance matrix will be used
  atomInvariantsGenerator | atom invariants to be used during fingerprint generation
  useCountSimulation | if set, use count simulation while generating the fingerprint
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions
  ownsAtomInvGen | if set atom invariants generator is destroyed with the fingerprint generator

Returns
  FingerprintGenerator<OutputType>* that generates atom-pair fingerprints

This generator supports the following `AdditionalOutput` types:

- `atomToBits` : which bits each atom is involved in
- `atomCounts` : how many bits each atom sets
- `bitInfoMap` : map from bitId to (atomId1, atomId2) pairs

References RDKit::AtomPairs::maxPathLen.